:root {
  --background: 0, 0%, 100%;
  --foreground: 240, 10%, 3.9%;
  --muted: 240, 4.8%, 95.9%;
  --muted-foreground: 240, 3.8%, 46.1%;
  --border: 240 5.9% 90%;
}

body {
  background-color: hsl(var(--background));
  color: hsl(var(--foreground));
}

.header {
  height: 5.25rem;
  width: 100%;
  display: flex;
  align-items: center;
  overflow-x: hidden;
}

.student-list {
  display: flex;
  gap: 0.5rem;
  animation: scroll 20s linear infinite;
}

.student {
  height: 4rem;
  width: 4rem;
  overflow: hidden;
  border-radius: 9999px;
  flex-shrink: 0;
}

.content {
  padding: 1rem 2rem;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.greeting {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.greeting-title {
  font-size: 2.25rem;
  line-height: 2.5rem;
  font-weight: 700;
  text-wrap: pretty;
}

.greeting-presentation {
  font-size: 1.125rem;
  line-height: 1.75rem;
  font-weight: 300;
  max-width: 42rem;
}

.waving-hand {
  animation: waving 2.5s linear infinite;
  transform-origin: 70% 70%;
  display: inline-block;
}

.podcasts-header {
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
}

.podcasts-title {
  font-size: 1.5rem;
  line-height: 2rem;
  font-weight: bold;
}

.podcasts-description {
  color: hsl(var(--muted-foreground));
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.teacher {
  text-decoration: underline;
}

.separator {
  background-color: hsl(var(--border));
  width: 100%;
  height: 1px;
  margin: 1rem 0;
}

.podcast-list {
  display: flex;
  gap: 1rem;
  padding-bottom: 1rem;
  overflow-x: scroll;
}

.podcast-list::-webkit-scrollbar {
  height: 10px;
}

.podcast-list::-webkit-scrollbar-thumb {
  background-color: hsl(var(--border));
  border-radius: 9999px;
}

.podcast {
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
  width: 150px;
  flex-shrink: 0;
}

.podcast-player {
  border-radius: 0.375rem;
  overflow: hidden;
}

.podcast-thumbnail {
  transition-property: transform;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;

  &:hover {
    transform: scale(1.05);
  }
}

.podcast-info {
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
}

.podcast-title {
  font-size: 0.875rem;
  line-height: 1;
  font-weight: 500;
}

.podcast-author {
  color: hsl(var(--muted-foreground));
  font-size: 0.75rem;
  line-height: 1rem;
}

@media (max-width: 768px) {
  .greeting-title {
    font-size: 1.875rem;
    line-height: 2.25rem;
  }
}

@media (max-width: 640px) {
  .content {
    padding: 0.5rem 1rem;
  }
}

@media (prefers-reduced-motion) {
  .student-list {
    animation: none;
  }
}

@keyframes scroll {
  to {
    transform: translateX(calc(-50% - 0.25rem));
  }
}

@keyframes waving {
  0% { transform: rotate(0deg); }
  10% { transform: rotate(-10deg); }
  20% { transform: rotate(12deg); }
  30% { transform: rotate(-10deg); }
  40% { transform: rotate(9deg); }
  50% { transform: rotate(0deg); }
  100% { transform: rotate(0deg); }
}
